| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
OpenZWave::CompatOptionFlagStorage Struct Reference

`#include <CompatOptionManager.h>`

## Public Attributes
CompatOptionFlags | flag
CompatOptionFlagType | type
bool | changed
union { |
bool valBool |
uint8_t valByte |
uint16_t valShort |
uint32_t valInt |
}; |  |

## Member Data Documentation

## ◆ [union]

union { ... } OpenZWave::CompatOptionFlagStorage

## ◆ changed

bool OpenZWave::CompatOptionFlagStorage::changed

## ◆ flag

CompatOptionFlags OpenZWave::CompatOptionFlagStorage::flag

## ◆ type

CompatOptionFlagType OpenZWave::CompatOptionFlagStorage::type

## ◆ valBool

bool OpenZWave::CompatOptionFlagStorage::valBool

## ◆ valByte

uint8_t OpenZWave::CompatOptionFlagStorage::valByte

## ◆ valInt

uint32_t OpenZWave::CompatOptionFlagStorage::valInt

## ◆ valShort

uint16_t OpenZWave::CompatOptionFlagStorage::valShort

The documentation for this struct was generated from the following file:

- CompatOptionManager.h